Debian Bug report logs - #357753
O: gnuplot -- A command-line driven interactive plotting program

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christoph Berg <myon@debian.org>

Date: Sun, 19 Mar 2006 13:48:10 UTC

Severity: normal

Fixed in version gnuplot/4.0.0-3

Done: Cyril Bouthors <cyril@bouthors.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thimo Neubauer <thimo@debian.org>, <wnpp@debian.org>:
Bug#357753; Package wnpp. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: submit@bugs.debian.org
Subject: O: gnuplot -- A command-line driven interactive plotting program
Date: Sun, 19 Mar 2006 14:19:35 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of gnuplot, Thimo Neubauer <thimo@debian.org>,
has orphaned this package.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: gnuplot
Binary: gnuplot-doc, gnuplot-nox, gnuplot-x11, gnuplot
Version: 4.0.0-2.1
Priority: optional
Section: math
Maintainer: Thimo Neubauer <thimo@debian.org>
Build-Depends: libpng12-dev | libpng-dev, debhelper (>> 4.0.0), libx11-dev | xlibs-dev, libxt-dev | xlibs-dev, texinfo, tetex-bin, tetex-extra, zlib1g-dev, libgd2-noxpm-dev | libgd-dev
Architecture: any
Standards-Version: 3.6.1.0
Format: 1.0
Directory: pool/main/g/gnuplot
Files:
 70387426cbfc785d12b0fae20928b961 723 gnuplot_4.0.0-2.1.dsc
 66258443d9f93cc4f46b147dac33e63a 2160918 gnuplot_4.0.0.orig.tar.gz
 3841d18d5843178dee50856a53983028 35276 gnuplot_4.0.0-2.1.diff.gz

Package: gnuplot-doc
Priority: optional
Section: doc
Installed-Size: 2668
Maintainer: Thimo Neubauer <thimo@debian.org>
Architecture: all
Source: gnuplot
Version: 4.0.0-2.1
Conflicts: gnuplot (<< 3.7.2-5)
Filename: pool/main/g/gnuplot/gnuplot-doc_4.0.0-2.1_all.deb
Size: 1724748
MD5sum: e6d3171711e33378c42582a2208a9c56
Description: Documentation for gnuplot
 This package contains the additional documentation for the gnuplot
 interactive plotting program.
Tag: field::mathematics, role::content:doc, use::converting, works-with::image:vector

Package: gnuplot-nox
Priority: optional
Section: math
Installed-Size: 1588
Maintainer: Thimo Neubauer <thimo@debian.org>
Architecture: i386
Source: gnuplot
Version: 4.0.0-2.1
Replaces: gnuplot (<< 4.0.0)
Depends: libc6 (>= 2.3.5-1), libfreetype6 (>= 2.1.5-1), libgd2-noxpm (>= 2.0.33) | libgd2-xpm (>= 2.0.33), libjpeg62, libpng12-0 (>= 1.2.8rel), zlib1g (>= 1:1.2.1)
Suggests: gnuplot-x11 (= 4.0.0-2.1), gnuplot-doc
Conflicts: suidmanager (<< 0.50)
Filename: pool/main/g/gnuplot/gnuplot-nox_4.0.0-2.1_i386.deb
Size: 716284
MD5sum: 75a82a36055b8b0de6907f6fe026220b
Description: A command-line driven interactive plotting program
 Package for making 2D and 3D graphs from data and functions.
 Supports lots of output formats, including drivers for many printers,
 (La)TeX, (x)fig, Postscript, and so on. The X11-output is packaged in
 gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by internal
 C-like language.  Can perform smoothing, spline-fitting, or nonlinear
 fits. Can work with complex numbers.
Tag: field::mathematics, interface::commandline, role::sw:application, use::converting, works-with::image:vector

Package: gnuplot-x11
Priority: optional
Section: math
Installed-Size: 220
Maintainer: Thimo Neubauer <thimo@debian.org>
Architecture: i386
Source: gnuplot
Version: 4.0.0-2.1
Replaces: gnuplot (<< 4.0.0)
Depends: libc6 (>= 2.3.5-1), libx11-6, gnuplot-nox (= 4.0.0-2.1)
Filename: pool/main/g/gnuplot/gnuplot-x11_4.0.0-2.1_i386.deb
Size: 178068
MD5sum: b1007965708366b99e96a7beffc0f62c
Description: X11-terminal driver for gnuplot
 This package contains the terminal driver that enables gnuplot to
 plot images interactively under X11. Most users will want this, it is
 however packaged separately so that low-end systems don't need X
 installed to use gnuplot.
Tag: interface::x11, made-of::lang:c, role::sw:application, use::converting, works-with::image:vector, x11::application

Package: gnuplot
Priority: optional
Section: math
Installed-Size: 24
Maintainer: Thimo Neubauer <thimo@debian.org>
Architecture: all
Version: 4.0.0-2.1
Depends: gnuplot-nox (= 4.0.0-2.1), gnuplot-x11 (= 4.0.0-2.1)
Suggests: gnuplot-doc
Filename: pool/main/g/gnuplot/gnuplot_4.0.0-2.1_all.deb
Size: 1390
MD5sum: 68a2712d69c4bced632a5026dee46a11
Description: A command-line driven interactive plotting program
 Package for making 2D and 3D graphs from data and functions.
 Supports lots of output formats, including drivers for many printers,
 (La)TeX, (x)fig, Postscript, and so on. The X11-output is packaged in
 gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by internal
 C-like language.  Can perform smoothing, spline-fitting, or nonlinear
 fits. Can work with complex numbers.
 .
 This package is for transition and to install a full-featured gnuplot
 supporting the X11-output. If you want to skip the
 X-windows-dependency (e.g. if you're running a small server) just
 install "gnuplot-nox" and skip this metapackage.
Tag: field::mathematics, interface::commandline, made-of::lang:c, role::aux:metapackage, use::converting, works-with::image:vector


Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#357753; Package wnpp. Full text and rfc822 format available.

Message #6 received at 357753@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 357753@bugs.debian.org
Subject: Re: O: gnuplot -- A command-line driven interactive plotting program
Date: Sun, 19 Mar 2006 21:05:55 +0100
[Message part 1 (text/plain, inline)]
Re: To submit@bugs.debian.org 2006-03-19 <20060319131935.GA23675@df7cb.de>
> If you want to be the new maintainer, please take it -- see
> http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
> instructions how to adopt a package properly.

For the record: I'll use gnuplot for a task&skills test of one of my
NMs. If you intend to adopt gnuplot please contact me, so we can
avoid duplicating efforts (BTS cleaning etc.)

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#357753; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Cyril Bouthors <cyb@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #11 received at 357753@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyb@debian.org>
To: 357753@bugs.debian.org, Christoph Berg <myon@debian.org>
Cc: Thierry Randrianiriana <thierry@jexiste.org>
Subject: Taking over gnuplot
Date: Tue, 28 Mar 2006 16:28:48 +0200
[Message part 1 (text/plain, inline)]
Christoph,

I'm intensively using gnuplot for my job, I want to take it over.

I'll have a look at gnuplot today and give you an answer shortly.

Thanks.
-- 
Cyril Bouthors
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Cyril Bouthors <cyril@bouthors.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christoph Berg <myon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 357753-close@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyril@bouthors.org>
To: 357753-close@bugs.debian.org
Subject: Bug#357753: fixed in gnuplot 4.0.0-3
Date: Fri, 31 Mar 2006 10:17:18 -0800
Source: gnuplot
Source-Version: 4.0.0-3

We believe that the bug you reported is fixed in the latest version of
gnuplot, which is due to be installed in the Debian FTP archive:

gnuplot-doc_4.0.0-3_all.deb
  to pool/main/g/gnuplot/gnuplot-doc_4.0.0-3_all.deb
gnuplot-nox_4.0.0-3_i386.deb
  to pool/main/g/gnuplot/gnuplot-nox_4.0.0-3_i386.deb
gnuplot-x11_4.0.0-3_i386.deb
  to pool/main/g/gnuplot/gnuplot-x11_4.0.0-3_i386.deb
gnuplot_4.0.0-3.diff.gz
  to pool/main/g/gnuplot/gnuplot_4.0.0-3.diff.gz
gnuplot_4.0.0-3.dsc
  to pool/main/g/gnuplot/gnuplot_4.0.0-3.dsc
gnuplot_4.0.0-3_all.deb
  to pool/main/g/gnuplot/gnuplot_4.0.0-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 357753@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Bouthors <cyril@bouthors.org> (supplier of updated gnuplot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 31 Mar 2006 19:00:30 +0200
Source: gnuplot
Binary: gnuplot-doc gnuplot-x11 gnuplot-nox gnuplot
Architecture: source all i386
Version: 4.0.0-3
Distribution: unstable
Urgency: low
Maintainer: Cyril Bouthors <cyril@bouthors.org>
Changed-By: Cyril Bouthors <cyril@bouthors.org>
Description: 
 gnuplot    - A command-line driven interactive plotting program
 gnuplot-doc - Documentation for gnuplot
 gnuplot-nox - A command-line driven interactive plotting program
 gnuplot-x11 - X11-terminal driver for gnuplot
Closes: 322827 357753
Changes: 
 gnuplot (4.0.0-3) unstable; urgency=low
 .
   * This upload is aimed to take over the package and fix the easiest bugs
     first. I'll upload another version shortly that will take care of the
     oh-so-many opened bugs that look almost all fixed upstream and/or
     obsolete to me. One of them is 5 years and 160 days old! "Release
     early, release often".
   * New maintainer (closes: #357753).
   * debian/changelog: fixed encoding, removed trailing spaces
   * debian/control: moved the package gnuplot-doc from the section "docs"
     to the section "doc"
   * debian/control: removed obsolete dependencies to xlibs-dev
   * debian/gnuplot-nox.README.Debian: applied patch from Frederic Daniel
     Luc LEHOBEY <Frederic.Lehobey@free.fr> to clarify licensing issues
     (closes: #322827).
Files: 
 c06e43d31a471356fc87c3a0e7c12eda 733 math optional gnuplot_4.0.0-3.dsc
 6183475b62c9e124bbaf5386581b60fa 40907 math optional gnuplot_4.0.0-3.diff.gz
 39406e8b4f2e3e3fb556f673d3319bd4 1384 math optional gnuplot_4.0.0-3_all.deb
 02ec74b8a0801468f60ad3699c13d895 1720282 doc optional gnuplot-doc_4.0.0-3_all.deb
 a6fa3e5232044cc52ff6df8a3d077d44 730604 math optional gnuplot-nox_4.0.0-3_i386.deb
 9d3ed31894fe02f3fe6bf848988a6f62 179724 math optional gnuplot-x11_4.0.0-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFELW4OZ1SJHeqsYt8RAlGiAJ48uzhDM1RY7VUB3LK3thA3POobXwCeJ/h3
G+s6p/NdKa7VGaoGO8+RK2k=
=cTjt
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 08:24:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:47:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.